// Da Vinci Room

#declare Base_form = off

#declare Room_interior =
union {

// Include Stones
#include "stones.inc"

// Include Classical Columns Version 2
#include "13_col.col"	// texture definitions
#declare column_flute = off
#include "13_col2.inc"	// column definitions

#declare Bricks =
union {
    box {<0,0,0.000><1,0.45,1>}
    box {<0,0.45,0.050><0.950,0.5,0.950> pigment{Gray50}}
}

#declare Entablature_1 =
union {
	box {<0,0,0><0.15,0.39,-0.15>}
	box {<0,0.13,0><0.175,0.17,-0.175> texture{T_Stone12}}
	box {<0,0.39,0><0.23,0.525,-0.23> texture{T_Stone12}}
	box {<0,0.525,0><0.325,0.6,-0.325> texture{T_Stone12}}
}

#declare Entablature_2 =
union {
	object {Entablature_1 translate <0.775,0,0> texture{T_Stone8}}
	box {<0,0,0><0.775,0.39,-0.15> texture{T_Stone8}}
	box {<0,0.13,0><0.775,0.17,-0.175> texture{T_Stone12}}
	box {<0,0.39,0><0.775,0.525,-0.23> texture{T_Stone12}}
	box {<0,0.525,0><0.775,0.6,-0.325> texture{T_Stone12}}
}

#declare Entablature_3 =
union {
	object {Entablature_1 translate <1.225,0,0> texture{T_Stone8}}
	box {<0,0,0><1.225,0.39,-0.15> texture{T_Stone8}}
	box {<0,0.13,0><1.225,0.17,-0.175> texture{T_Stone12}}
	box {<0,0.39,0><1.225,0.525,-0.23> texture{T_Stone12}}
	box {<0,0.525,0><1.225,0.6,-0.325> texture{T_Stone12}}
}

#declare Part_1 =
union {
    object {Bricks texture{T_Stone15}}
	object {Bricks translate <0,0.5,0> texture{T_Stone15}}
	object {Bricks translate <0,1,0> texture{T_Stone15}}
	object {Bricks translate <0,1.5,0> texture{T_Stone15}}
	object {Bricks translate <0,2,0> texture{T_Stone15}}
	object {Bricks translate <0,2.5,0> texture{T_Stone15}}

	object {Entablature_2 translate <0,3,-0.225>}
	object {Entablature_2 scale <1,1,-1>translate <0,3,1.225>}

	object {Entablature_3 scale <1,.5,1> translate <0,2.2,0>}
	object {Entablature_3 scale <1,.5,-1> translate <0,2.2,1>}

	#if (Base_form = off)
		object {column_composite translate <0.775,0,1.225>}
		object {column_tuscan translate <1.225,0,0>}
		object {column_composite translate <0.775,0,-0.225>}
		object {column_tuscan translate <1.225,0,1>}
	#end
}

#declare Part_1a =
union {
    object {Bricks texture{T_Stone15}}
	object {Bricks translate <0,0.5,0> texture{T_Stone15}}
	object {Bricks translate <0,1,0> texture{T_Stone15}}
	object {Bricks translate <0,1.5,0> texture{T_Stone15}}
	object {Bricks translate <0,2,0> texture{T_Stone15}}
	object {Bricks translate <0,2.5,0> texture{T_Stone15}}

	object {Entablature_2 translate <0,3,-0.225>}
	object {Entablature_2 scale <1,1,-1>translate <0,3,1.225>}

	object {Entablature_3 scale <1,.5,1> translate <0,2.2,0>}
	object {Entablature_3 scale <1,.5,-1> translate <0,2.2,1>}
}

#declare Column_centre =
union {
	object {Part_1}
	object {Part_1 scale <-1,1,1>}
}

#declare Column_centre2 =
union {
	object {Part_1a}
	object {Part_1a scale <-1,1,1>}
}

#declare Arch_1 =
difference {
	union {
		difference {
			cylinder {<0,2.2,0><0,2.2,1>,1.5 texture{T_Stone8}}
			cylinder {<0,2.2,-1><0,2.2,2>,1.245 texture{T_Stone8}}
		}
		difference {
			cylinder {<0,2.2,-0.05><0,2.2,1.05>,1.75 texture{T_Stone12}}
			cylinder {<0,2.2,-1><0,2.2,2>,1.5 texture{T_Stone12}}
		}
	}
	box {<5,0,5><-5,2.2,-5>}
}

#declare Arch_2 =
difference {
	union {
		difference {
			cylinder {<0,3,-0.1><0,3,1.1>,2.2 texture{T_Stone8}}
			cylinder {<0,3,-1><0,3,2>,1.7 texture{T_Stone8}}
		}
		difference {
			cylinder {<0,3,-0.15><0,3,1.15>,2.4 texture{T_Stone12}}
			cylinder {<0,3,-1><0,3,2>,2.2 texture{T_Stone12}}
		}
	}
	box {<5,0,5><-5,3.2,-5>}
}

#declare Arch_centre =
union {
	difference {
		box {<-2.5,0,.25><2.5,5,.75> texture{T_Stone15}}
		box {<-1.25,-1,0><1.25,2.2,1> texture{T_Stone15}}
		cylinder {<0,2.2,-1><0,2.2,2>,1.25 texture{T_Stone15}}
	}
	object {Arch_1}
	object {Arch_2}
}

#declare Full_wall =
union {
	object {Column_centre translate <-7.50,0.00,0.00>}
	object {Column_centre translate <-2.50,0.00,0.00>}
	object {Column_centre2 translate <2.50,0.00,0.00>}
	object {Column_centre2 translate <7.50,0.00,0.00>}
	object {Arch_centre}
	object {Arch_centre translate <5,0,0>}
	object {Arch_centre translate <-5,0,0>}
}

#declare Full_wall2 =
union {
	object {Column_centre2 translate <-7.50,0.00,0.00>}
	object {Column_centre2 translate <-2.50,0.00,0.00>}
	object {Column_centre2 translate <2.50,0.00,0.00>}
	object {Column_centre2 translate <7.50,0.00,0.00>}
	object {Arch_centre}
	object {Arch_centre translate <5,0,0>}
	object {Arch_centre translate <-5,0,0>}
}

#declare End_wall =
union {
	object {Column_centre translate <-2.50,0.00,0.00>}
	object {Column_centre translate <2.50,0.00,0.00>}
	object {Arch_centre}
}

object {Full_wall}
object {Full_wall2 translate <0,0,-8.900>}
object {Full_wall translate <0,0,4.025>}

object {End_wall rotate <0,-90,0> translate <-8.950,0.000,-3.950>}
object {End_wall rotate <0,-90,0> translate <-13,0.000,-3.950>}

// a mirror
box {<-15,-1,10><-15,7,-10> pigment{Black} finish{reflection 1}}

box {<-9.950,0.000,0.000><-8.950,6.000,10.488> texture{T_Stone15}}

#include "13roof.pov"
object {Roof texture{T_Stone15 scale 2}}

#include "13floor.pov"
object {Floor texture{T_Stone15 scale 2}}

}
